package com.ruoyi.post.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 邮贝套系信息;
 * 
 * @author huianan
 * @date 2023-02-11
 */
public class PostSeries extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 套系ID */
    private Long seriesId;

    /** 套系名称 */
    @Excel(name = "套系名称")
    private String seriesName;

    /** 藏品数量 */
    @Excel(name = "藏品数量")
    private Long collectionCounts;

    /** 套系状态（0在售 1预售 2已过期） */
    @Excel(name = "套系状态", readConverterExp = "0=在售,1=预售,2=已过期")
    private String status;

    /** 套系兑换状态（0可兑换 1不可兑换） */
    @Excel(name = "套系兑换状态", readConverterExp = "0=可兑换,1=不可兑换")
    private String exchangeStatus;

    /** 展示时间初始 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "展示时间初始", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 展示时间末端 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "展示时间末端", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setSeriesId(Long seriesId) 
    {
        this.seriesId = seriesId;
    }

    public Long getSeriesId() 
    {
        return seriesId;
    }
    public void setSeriesName(String seriesName) 
    {
        this.seriesName = seriesName;
    }

    public String getSeriesName() 
    {
        return seriesName;
    }
    public void setCollectionCounts(Long collectionCounts) 
    {
        this.collectionCounts = collectionCounts;
    }

    public Long getCollectionCounts() 
    {
        return collectionCounts;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setExchangeStatus(String exchangeStatus) 
    {
        this.exchangeStatus = exchangeStatus;
    }

    public String getExchangeStatus() 
    {
        return exchangeStatus;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("seriesId", getSeriesId())
            .append("seriesName", getSeriesName())
            .append("collectionCounts", getCollectionCounts())
            .append("status", getStatus())
            .append("exchangeStatus", getExchangeStatus())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
